GDAL

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
XMMReg2Double Class Reference

## Public Member Functions
| XMMReg2Double (double val)
| XMMReg2Double (const XMMReg2Double &other)
void | nsLoad1ValHighAndLow (const double *pval)
void | nsLoad2Val (const double *pval)
void | nsLoad2ValAligned (const double *pval)
void | nsLoad2Val (const float *pval)
void | nsLoad2Val (const unsigned char *ptr)
void | nsLoad2Val (const short *ptr)
void | nsLoad2Val (const unsigned short *ptr)
void | Zeroize ()
XMMReg2Double & | operator= (const XMMReg2Double &other)
XMMReg2Double & | operator+= (const XMMReg2Double &other)
XMMReg2Double & | operator*= (const XMMReg2Double &other)
XMMReg2Double | operator+ (const XMMReg2Double &other) const
XMMReg2Double | operator- (const XMMReg2Double &other) const
XMMReg2Double | operator* (const XMMReg2Double &other) const
XMMReg2Double | operator/ (const XMMReg2Double &other) const
void | AddLowAndHigh ()
void | Store2Double (double *pval) const
void | Store2DoubleAligned (double *pval) const
void | Store2Val (unsigned short *ptr) const
| operator double () const

## Static Public Member Functions
static XMMReg2Double | Zero ()
static XMMReg2Double | Load1ValHighAndLow (const double *ptr)
static XMMReg2Double | Equals (const XMMReg2Double &expr1, const XMMReg2Double &expr2)
static XMMReg2Double | NotEquals (const XMMReg2Double &expr1, const XMMReg2Double &expr2)
static XMMReg2Double | Greater (const XMMReg2Double &expr1, const XMMReg2Double &expr2)
static XMMReg2Double | And (const XMMReg2Double &expr1, const XMMReg2Double &expr2)
static XMMReg2Double | Ternary (const XMMReg2Double &cond, const XMMReg2Double &true_expr, const XMMReg2Double &false_expr)
static XMMReg2Double | Min (const XMMReg2Double &expr1, const XMMReg2Double &expr2)
static XMMReg2Double | Load2Val (const double *ptr)
static XMMReg2Double | Load2ValAligned (const double *ptr)
static XMMReg2Double | Load2Val (const float *ptr)
static XMMReg2Double | Load2Val (const unsigned char *ptr)
static XMMReg2Double | Load2Val (const short *ptr)
static XMMReg2Double | Load2Val (const unsigned short *ptr)
static void | Load4Val (const unsigned char *ptr, XMMReg2Double &low, XMMReg2Double &high)
static void | Load4Val (const short *ptr, XMMReg2Double &low, XMMReg2Double &high)
static void | Load4Val (const unsigned short *ptr, XMMReg2Double &low, XMMReg2Double &high)
static void | Load4Val (const double *ptr, XMMReg2Double &low, XMMReg2Double &high)
static void | Load4Val (const float *ptr, XMMReg2Double &low, XMMReg2Double &high)

## Public Attributes
double | low
double | high

The documentation for this class was generated from the following file:

- gdalsse_priv.h

Generated for GDAL by 1.8.8.